/* bspl0087.c */
#include <stdio.h>
#include <signal.h>

void abort_handler(int s);

main(int argc, char * argv[]) {
	FILE * datei;
	if (argc < 2) {
		printf("\nAufruf: bspl0087 <datei>");
		exit(1);
	}
	signal(SIGABRT,abort_handler);
	if ((datei = fopen(argv[1],"r")) != NULL) {
		printf("\nDatei %s wird verarbeitet",argv[1]);
		fclose(datei);
	}
	else {
		printf("\nDatei '%s' fehlt.",argv[1]);
		abort();
	}
}

void abort_handler(int s) {
	printf("\nAusnahmsweise - Hier bin ich");
}