// bspl0114.cpp
#include <iostream.h>

class datum	{
	private:
		int tag;
		int monat;
		int jahr;
	public:
		datum (int t, int m, int j);
		void anzeigen();
		~datum();
};

datum::datum(int t=1,int m=1, int j=1999) {	// (1)
	cout << "\nHier wird der Konstruktor aufgerufen\n";
 
	tag = (t > 31) ? 31 : t;	// (2)
	tag = (tag < 1) ? 1 : tag;

	monat = (m > 12) ? 12 : m;
	monat = (monat < 1) ? 1 : monat;
 
	jahr = (j < 1) ? 1 : j;
}

void datum::anzeigen() {
	cout << tag << "." << monat << "." << jahr << "\n";
}

datum::~datum() {				// (3)
	// Destruktor macht nichts
	cout << "\nHier wird der Destruktor aufgerufen\n";
}

void main(void) {
	datum gestern(9,1);		// (4)
	datum heute(3,11,1993);
	datum morgen(10,13,1992);	// (5)

	gestern.anzeigen();
	heute.anzeigen();
	morgen.anzeigen();
}
