/* Aufg53.c */
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

#define MAX_STRING 81

main(int argc,char *argv[]) {
	FILE *stream;
	char puffer[MAX_STRING];
	int ch;
	signal(SIGINT,SIG_IGN);
	signal(SIGBREAK,SIG_IGN);
	/* Ist kein Kommandozeilenparameter vorhanden? */
	if(argc < 2) {
		printf("\nAufruf: Aufg53 <dateiname>\n");
		exit(1);
	}
	/* Ist die Datei nicht vorhanden ? */
	if((stream = fopen(argv[1],"r")) == NULL) {
		printf("\n'%s': Oeffnungsfehler!\n",argv[1]);
		exit(1);
	}
	while(fgets(puffer,MAX_STRING,stream)!=NULL) {
		printf("%s",puffer);
		signal(SIGINT,SIG_DFL);
		signal(SIGBREAK,SIG_DFL);
		ch=fgetc(stdin);    /* Warte auf Tastendruck */
		signal(SIGINT,SIG_IGN);
		signal(SIGBREAK,SIG_IGN);
		switch(ch) {
			/* zurck zum Anfang */
			case 'a':
			case 'A':
				fseek(stream,0L,SEEK_SET);
				break;
			/* Abbruch */
			case 27:
				goto ende;
		}
		fseek(stdin,0L,SEEK_END);
	}
	ende:
	fclose(stream);
}
