/* bspl0084.c */
#include <stdio.h>
#include <string.h>
#include <errno.h>

int fehlertest(FILE *);

main(int argc, char * argv[]) {
	FILE * datei;
	int fehler,anzahl,i;
	char liste[10];
	if (argc < 2) {
		printf("\nAufruf: bspl0084 <datei>");
		exit(1);
	}
	if ((datei = fopen(argv[1],"r")) != NULL) {
		while ( !feof(datei) ) {
			anzahl = fread(liste, sizeof(char),10,datei);
			if (fehlertest(datei))
				goto fertig;
			for (i=0;i<anzahl;i++) {
				if (isprint(liste[i])||isspace(liste[i]))
					printf("%c",liste[i]);
				else {
					printf("\nSteuerzeichen aufgetreten");
					goto fertig;
				}
			}
		}
fertig:
		fclose(datei);
	}
	else
		printf("\nDatei '%s' fehlt.",argv[1]);
}

int fehlertest(FILE *datei) {
	if (ferror(datei) !=0) {
		perror("\nLesefehler");
		fprintf(stderr,"\n%s",strerror(errno));
		clearerr(datei);
		return 1;
	}
	else
		return 0;
}