/* bspl0085.c */
#include <stdio.h>
#include <assert.h>

void cleanup1();
void cleanup2();

main(int argc, char * argv[]) {
	FILE * datei;
	if (argc < 2) {
		printf("\nAufruf: bspl0085 <datei>");
		exit(1);
	}
	assert(atexit(cleanup1)==0);
	assert(atexit(cleanup2)==0);
	if ((datei = fopen(argv[1],"r")) != NULL) {
		printf("\nDatei %s wird verarbeitet",argv[1]);
		fclose(datei);
	}
	else
		printf("\nDatei '%s' fehlt.",argv[1]);
}

void cleanup1() {
	printf("\nRest aufraeumen");
}
void cleanup2() {
	printf("\nOffene Dateien schliessen");
	fflush(NULL);
	_fcloseall();	
}